# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Data-Compare
Version:	1.22
Release:	4.%{__distinit}%{__distvers}
Summary:	Compare perl data structures
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Data-Compare/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DC/DCANTRELL/Data-Compare-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Clone)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Find::Rule)
BuildRequires:	perl(JSON)
BuildRequires:	perl(Scalar::Properties)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(File::Find::Rule)

%description
This module compares arbitrary data structures to see if they are copies
of each other.

%prep
%setup -q -n Data-Compare-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ARTISTIC.txt CHANGES GPL2.txt MAINTAINERS-NOTE NOTES README TODO
%dir %{perl_vendorlib}/Data/
%dir %{perl_vendorlib}/Data/Compare/
%dir %{perl_vendorlib}/Data/Compare/Plugins/
%doc %{perl_vendorlib}/Data/Compare/Plugins.pod
%{perl_vendorlib}/Data/Compare.pm
%{perl_vendorlib}/Data/Compare/Plugins/Scalar/
%{_mandir}/man3/Data::Compare.3pm*
%{_mandir}/man3/Data::Compare::Plugins.3pm*
%{_mandir}/man3/Data::Compare::Plugins::Scalar::Properties.3pm*

%changelog
* Wed Feb 22 2012 Paul Howarth <paul@city-fan.org> - 1.22-4
- Import from Fedora

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.22-2
- Perl mass rebuild

* Tue Jun  7 2011 Tom Callaway <spot@fedoraproject.org> - 1.22-1
- Update to 1.22
- Add Requires: perl(File::Find::Rule)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.21-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.21-6
- Rebuild to fix problems with vendorarch/lib (#661697)

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.21-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.21-4
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 12 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.21-1
- Upstream update
- Spec file massaging

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.17-2
- Rebuild for new perl

* Wed Nov 28 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.17-1
- 0.17

* Mon Oct 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.16-1.2
- Add BR: perl(Test::More)

* Mon Oct 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.16-1.1
- Correct license tag
- Add BR: perl(ExtUtils::MakeMaker)

* Sun Mar 18 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.16-1
- Update to 0.16

* Mon Feb 26 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.15-1
- Update to 0.15

* Sun Nov  5 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.14-2
- New BR: perl(Clone) is needed by t/deep-objects.t

* Sun Nov  5 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.14-1
- Update to 0.14

* Sun Apr 09 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.13-1
- First build
